Subject: Re: bug#18178: help

From: Bernhard Voelker <[email-masked]>
Date: Sun, 03 Aug 2014 08:14:36 +0200

On 08/03/2014 06:35 AM, Pádraig Brady wrote:
> On 08/03/2014 04:31 AM, Jermaine Golding wrote:
>> Good Day;
>>
>> I just deleted over 100gigs of logs and my var partition is still at 100%.
>>
>> Please advise I am using checkpoint gaia.
>>
>> [Expert@Fwall:0]# df --h
>> df: option `--h' is ambiguous
>> Try `df --help' for more information.
>> [Expert@Fwall:0]# df -h
>> Filesystem            Size  Used Avail Use% Mounted on
>> /dev/mapper/vg_splat-lv_current
>>                        40G  8.5G   29G  23% /
>> /dev/sda1             145M   31M  107M  23% /boot
>> /dev/mapper/vg_splat-lv_log
>>                       768G  743G     0 100% /var/log
>> [Expert@Fwall:0]#
> 
> If you delete a file which a process still has open
> the blocks are not freed until the process closes the file.
> This is what allows one to update a file which is already open.
> I'll leave it to you to identify which services to restart etc.

Additionally to what Padraig said, if the files had 2 or more
hardlinks, then it's possible that you only deleted one hardlink
reference to the file.

Have a nice day,
Berny